# JsDoc Reference - Ciform.ciphers.ChainEncoder

Class Index | File Index

## Classes

- _global_
- Ciform
- Ciform.Cipher
- Ciform.ciphers
- Ciform.ciphers.ChainEncoder
- Ciform.ciphers.CiformPacketizer
- Ciform.ciphers.Encoder
- Ciform.ciphers.RSAEncoder
- Ciform.ciphers.RSAPublicKey
- Ciform.ciphers.SHA1Encoder
- Ciform.Field
- Ciform.protocol

# Class Ciform.ciphers.ChainEncoder

This encoder simply combine encoders into a chain. For instance, the message will be first hashed through SHA-1, and then encrypted with a RSA key.
Defined in: ciform.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ciform.ciphers.ChainEncoder(encoders)

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | encoders

Method Summary
Method Attributes | Method Name and Description
--- | ---
| encode(message)

Class Detail
Ciform.ciphers.ChainEncoder(encoders)

Parameters:
{Array[Ciform.ciphers.Encoder]} encoders
  A list with the instances of encoders to use (The chain starts with index 0)

Field Detail
<private> encoders
Method Detail
encode(message)

Parameters:
message

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:49 GMT+0100 (CET)